import org.junit.jupiter.api.Test;
import org.junit.jupiter.api.extension.ExtendWith;
import org.mockito.Mock;
import org.mockito.junit.jupiter.MockitoExtension;

import static org.junit.jupiter.api.Assertions.assertEquals;
import static org.junit.jupiter.api.Assertions.assertNotEquals;
import static org.mockito.ArgumentMatchers.any;
import static org.mockito.Mockito.when;

@ExtendWith(MockitoExtension.class)
public class EmployeeMocitoTest {

    @Mock
    Employee employee;

    @Test
    void testGetLastName() {
        when(employee.getLastName()).thenReturn("mockLastName");
        assertEquals("mockLastName", employee.getLastName());
    }

    @Test
    void testAddEmployee() {
        when(employee.addEmployee())
                .thenReturn(new Employee("pavani", "ravuri", "08/10/1985", "9400 w parmer", "9401 w parmer", "Austin", "Tx", 10000));
        assertNotEquals(73526, employee.addEmployee().getPostalCode());
    }
}
